=== modified file 'capture-bug-counts.py'
--- capture-bug-counts.py	2009-09-21 07:24:14 +0000
+++ capture-bug-counts.py	2009-11-23 06:05:05 +0000
@@ -13,14 +13,17 @@
     EDGE_SERVICE_ROOT,
     )
 
+import hydrazine
+
 service_root = EDGE_SERVICE_ROOT
+
 project_name = 'bzr'
 
 
+
 def run_external(args):
     sys.stderr.write(">> %s\n" % args)
-    rc = subprocess.call(args)
-    if rc != 0:
+    rc = subprocess.call(args)=    if rc != 0:
         sys.stderr.write("failed %s!" % rc)
         raise AssertionError()
 
@@ -49,36 +52,6 @@
 ## 
 
 
-lplib_cachedir = os.path.expanduser("~/.cache/launchpadlib/")
-hydrazine_cachedir = os.path.expanduser("~/.cache/hydrazine/")
-rrd_dir = os.path.expanduser("~/.cache/hydrazine/rrd")
-for d in [lplib_cachedir, hydrazine_cachedir, rrd_dir]:
-    if not os.path.isdir(d):
-        os.makedirs(d, mode=0700)
-
-def create_session():
-    hydrazine_credentials_filename = os.path.join(hydrazine_cachedir,
-        'credentials')
-    if os.path.exists(hydrazine_credentials_filename):
-        credentials = Credentials()
-        credentials.load(file(
-            os.path.expanduser("~/.cache/hydrazine/credentials"),
-            "r"))
-        trace('loaded existing credentials')
-        return Launchpad(credentials, service_root,
-            lplib_cachedir)
-        # TODO: handle the case of having credentials that have expired etc
-    else:
-        launchpad = Launchpad.get_token_and_login(
-            'Hydrazine',
-            service_root,
-            lplib_cachedir)
-        trace('saving credentials...')
-        launchpad.credentials.save(file(
-            hydrazine_credentials_filename,
-            "w"))
-        return launchpad
-
 def get_project():
     sys.stderr.write('getting project... ')
     project = launchpad.projects[project_name]

=== added directory 'hydrazine'
=== added file 'hydrazine/__init__.py'
--- hydrazine/__init__.py	1970-01-01 00:00:00 +0000
+++ hydrazine/__init__.py	2009-11-23 06:05:05 +0000
@@ -0,0 +1,38 @@
+# Copyright (C) 2009 Canonical Ltd 
+
+import os.path
+from launchpadlib.credentials import Credentials
+
+
+def create_session():
+    lplib_cachedir = os.path.expanduser("~/.cache/launchpadlib/")
+    hydrazine_cachedir = os.path.expanduser("~/.cache/hydrazine/")
+    rrd_dir = os.path.expanduser("~/.cache/hydrazine/rrd")
+    for d in [lplib_cachedir, hydrazine_cachedir, rrd_dir]:
+        if not os.path.isdir(d):
+            os.makedirs(d, mode=0700)
+
+
+    hydrazine_credentials_filename = os.path.join(hydrazine_cachedir,
+        'credentials')
+    if os.path.exists(hydrazine_credentials_filename):
+        credentials = Credentials()
+        credentials.load(file(
+            os.path.expanduser("~/.cache/hydrazine/credentials"),
+            "r"))
+        trace('loaded existing credentials')
+        return Launchpad(credentials, service_root,
+            lplib_cachedir)
+        # TODO: handle the case of having credentials that have expired etc
+    else:
+        launchpad = Launchpad.get_token_and_login(
+            'Hydrazine',
+            service_root,
+            lplib_cachedir)
+        trace('saving credentials...')
+        launchpad.credentials.save(file(
+            hydrazine_credentials_filename,
+            "w"))
+        return launchpad
+
+

